Subject: Re: Bleadperl on Cygwin with threads, 1 Test fails
From: "Gerrit P. Haase" <[email-masked]>
To: Thomas Pfaff <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Mar 2003 15:41:31 +0100

Thomas schrieb:

> Gerrit P. Haase wrote:
>> Thomas schrieb:
>> 
>> 
>>>Gerrit P. Haase wrote:
>>>
>>>>Hallo perl5-porters,
>>>>
>>>>successfully builded bleadperl with threads the first time,
>>>>many thanks to the Wizard of Perl!
>>>>
>> 
>>>I was able to build perl 5.8.0-1 with threads that has passed all tests
>>>by disabling perls internal malloc. With the perl malloc the embed test
>>>has failed.
>> 
>> 
>> You could build perl-5.8.0 with threads?  I thought the 5.8. pumpking
>> fixed it just some days ago?  Have you patched the sources?

> No. I took the cygwin perl-5.8.0-1 sources, configured and build it 
> OOTB. It should build with the current cygwin dll. Do not try an older

Fails for me (w/ Cygwin, latest release):

lib/Thread/Queue.....................FAILED at test 1

I'll try with -Uusemymalloc now.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/